using Domain.Entities;

namespace Data.Interfaces
{
    public interface ITicketRepository
    {
        IEnumerable<ETicket> GetAll();
        ETicket GetById(Guid ticketId);
        IEnumerable<ETickets_GetSummary> GetSummary();
        IEnumerable<ETicket_Dashboard> GetTicketDashboard(string Estado, string Orden);
        void InsertTicket(ETicket ticket);
    }
}
